Cyberduck Mountain Duck CLI

#11260 closed defect (fixed)

System.ArgumentNullException in RegistryApplicationFinder

Reported by: eduardomcrodrigues Owned by: yla
Priority: highest Milestone: 7.8.0
Component: core Version: 7.7.1
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by dkocher)

See the end of this message for details on invoking 
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.ArgumentNullException: Value cannot be null.
Parameter name: key
   at System.ThrowHelper.ThrowArgumentNullException(ExceptionArgument argument)
   at System.Collections.Generic.Dictionary`2.FindEntry(TKey key)
   at Ch.Cyberduck.Core.Local.RegistryApplicationFinder.getDescription(String application)
   at ch.cyberduck.core.editor.EditorFactory.getDefaultEditor()
   at Ch.Cyberduck.Ui.Controller.PreferencesController.PopulateAndSelectEditor()
   at Ch.Cyberduck.Ui.Controller.PreferencesController.Init()
   at Ch.Cyberduck.Ui.Controller.PreferencesController..ctor(IPreferencesView view)
   at Ch.Cyberduck.Ui.Controller.PreferencesController.get_Instance()
   at Ch.Cyberduck.Ui.Controller.BrowserController.View_ShowPreferences()
   at System.Windows.Forms.MenuItem.OnClick(EventArgs e)
   at System.Windows.Forms.MenuItem.MenuItemData.Execute()
   at System.Windows.Forms.Command.Invoke()
   at System.Windows.Forms.Control.WmCommand(Message& m)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.Form.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll
----------------------------------------
Cyberduck
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.exe
----------------------------------------
Cyberduck.Core.Native
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Core.Native.DLL
----------------------------------------
Cyberduck.Core
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Core.DLL
----------------------------------------
IKVM.OpenJDK.Core
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Core.DLL
----------------------------------------
System.Windows.Forms
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Forms/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4200.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System/v4.0_4.0.0.0__b77a5c561934e089/System.dll
----------------------------------------
System.Drawing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Drawing/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll
----------------------------------------
IKVM.Runtime
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.Runtime.DLL
----------------------------------------
System.Configuration
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4190.0 built by: NET48REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Configuration/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
----------------------------------------
System.Core
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Core/v4.0_4.0.0.0__b77a5c561934e089/System.Core.dll
----------------------------------------
System.Xml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
<DynamicMethodHolder>
    Assembly Version: 0.0.0.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.Runtime.dll
----------------------------------------
IKVM.OpenJDK.Util
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Util.DLL
----------------------------------------
Cyberduck.Protocols
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Protocols.DLL
----------------------------------------
System.ServiceModel
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ServiceModel/v4.0_4.0.0.0__b77a5c561934e089/System.ServiceModel.dll
----------------------------------------
StructureMap
    Assembly Version: 2.6.1.0
    Win32 Version: 2.6.1.0000
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/StructureMap.DLL
----------------------------------------
IKVM.OpenJDK.XML.API
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.XML.API.DLL
----------------------------------------
System.Xaml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xaml/v4.0_4.0.0.0__b77a5c561934e089/System.Xaml.dll
----------------------------------------
ObjectListView
    Assembly Version: 2.5.1.35588
    Win32 Version: 2.5.1.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/ObjectListView.DLL
----------------------------------------
CustomOpenFileFolderDialog
    Assembly Version: 0.0.0.0
    Win32 Version: 
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/CustomOpenFileFolderDialog.DLL
----------------------------------------
System.Design
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Design/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Design.dll
----------------------------------------
Cyberduck.Bonjour.Native
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Bonjour.Native.DLL
----------------------------------------
System.Security
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4261.0 built by: NET48REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Security/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Security.dll
----------------------------------------
Microsoft.WindowsAPICodePack.Shell
    Assembly Version: 1.1.0.0
    Win32 Version: 1.1.0.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Microsoft.WindowsAPICodePack.Shell.DLL
----------------------------------------
Cyberduck.Importer
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Importer.DLL
----------------------------------------
Cyberduck.Bonjour
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Bonjour.DLL
----------------------------------------
Cyberduck.Cryptomator
    Assembly Version: 7.7.1.33788
    Win32 Version: 7.7.1.33788
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Cyberduck.Cryptomator.DLL
----------------------------------------
IKVM.OpenJDK.Security
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Security.DLL
----------------------------------------
IKVM.OpenJDK.Text
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Text.DLL
----------------------------------------
System.Web
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Web/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Web.dll
----------------------------------------
IKVM.OpenJDK.XML.Parse
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.XML.Parse.DLL
----------------------------------------
IKVM.OpenJDK.Localedata
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Localedata.DLL
----------------------------------------
IKVM.Runtime.JNI
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.Runtime.JNI.DLL
----------------------------------------
Accessibility
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Accessibility/v4.0_4.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
----------------------------------------
System.Deployment
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Deployment/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Deployment.dll
----------------------------------------
System.Runtime.Serialization.Formatters.Soap
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization.Formatters.Soap/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Runtime.Serialization.Formatters.Soap.dll
----------------------------------------
System.ServiceModel.Internals
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ServiceModel.Internals/v4.0_4.0.0.0__31bf3856ad364e35/System.ServiceModel.Internals.dll
----------------------------------------
System.Runtime.Serialization
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Serialization/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
----------------------------------------
SMDiagnostics
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/SMDiagnostics/v4.0_4.0.0.0__b77a5c561934e089/SMDiagnostics.dll
----------------------------------------
System.IdentityModel
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.IdentityModel/v4.0_4.0.0.0__b77a5c561934e089/System.IdentityModel.dll
----------------------------------------
System.DirectoryServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.DirectoryServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.DirectoryServices.dll
----------------------------------------
System.Transactions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Transactions/v4.0_4.0.0.0__b77a5c561934e089/System.Transactions.dll
----------------------------------------
Microsoft.Transactions.Bridge
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.Transactions.Bridge/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.Transactions.Bridge.dll
----------------------------------------
System.Web.Services
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Web.Services/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Web.Services.dll
----------------------------------------
System.EnterpriseServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.EnterpriseServices/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll
----------------------------------------
System.IdentityModel.Selectors
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.IdentityModel.Selectors/v4.0_4.0.0.0__b77a5c561934e089/System.IdentityModel.Selectors.dll
----------------------------------------
System.Web.ApplicationServices
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Web.ApplicationServices/v4.0_4.0.0.0__31bf3856ad364e35/System.Web.ApplicationServices.dll
----------------------------------------
System.Messaging
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Messaging/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Messaging.dll
----------------------------------------
System.Xml.Linq
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml.Linq/v4.0_4.0.0.0__b77a5c561934e089/System.Xml.Linq.dll
----------------------------------------
System.Runtime.DurableInstancing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.DurableInstancing/v4.0_4.0.0.0__31bf3856ad364e35/System.Runtime.DurableInstancing.dll
----------------------------------------
System.ServiceProcess
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ServiceProcess/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.ServiceProcess.dll
----------------------------------------
System.Net.Http
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Net.Http/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Net.Http.dll
----------------------------------------
System.ServiceModel.Activation
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ServiceModel.Activation/v4.0_4.0.0.0__31bf3856ad364e35/System.ServiceModel.Activation.dll
----------------------------------------
System.Data
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Data/v4.0_4.0.0.0__b77a5c561934e089/System.Data.dll
----------------------------------------
ExceptionReporter.NET
    Assembly Version: 2.2.0.0
    Win32 Version: 2.2.0.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/ExceptionReporter.NET.DLL
----------------------------------------
Microsoft.Toolkit.Uwp.Notifications
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.0.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Microsoft.Toolkit.Uwp.Notifications.DLL
----------------------------------------
Microsoft.VisualBasic
    Assembly Version: 10.0.0.0
    Win32 Version: 14.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.VisualBasic/v4.0_10.0.0.0__b03f5f7f11d50a3a/Microsoft.VisualBasic.dll
----------------------------------------
System.Runtime.WindowsRuntime
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.WindowsRuntime/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.WindowsRuntime.dll
----------------------------------------
System.Data.OracleClient
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Data.OracleClient/v4.0_4.0.0.0__b77a5c561934e089/System.Data.OracleClient.dll
----------------------------------------
System.Drawing.Design
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4200.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Drawing.Design/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Drawing.Design.dll
----------------------------------------
System.Web.RegularExpressions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Web.RegularExpressions/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Web.RegularExpressions.dll
----------------------------------------
Interop.Bonjour
    Assembly Version: 1.0.0.0
    Win32 Version: 1.0.0.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Interop.Bonjour.DLL
----------------------------------------
System.Numerics
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Numerics/v4.0_4.0.0.0__b77a5c561934e089/System.Numerics.dll
----------------------------------------
PresentationFramework
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/PresentationFramework/v4.0_4.0.0.0__31bf3856ad364e35/PresentationFramework.dll
----------------------------------------
WindowsBase
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/WindowsBase/v4.0_4.0.0.0__31bf3856ad364e35/WindowsBase.dll
----------------------------------------
PresentationCore
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/PresentationCore/v4.0_4.0.0.0__31bf3856ad364e35/PresentationCore.dll
----------------------------------------
Microsoft.WindowsAPICodePack
    Assembly Version: 1.1.2.0
    Win32 Version: 1.1.2.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/Microsoft.WindowsAPICodePack.DLL
----------------------------------------
WindowsFormsIntegration
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/WindowsFormsIntegration/v4.0_4.0.0.0__31bf3856ad364e35/WindowsFormsIntegration.dll
----------------------------------------
System.Data.SqlXml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Data.SqlXml/v4.0_4.0.0.0__b77a5c561934e089/System.Data.SqlXml.dll
----------------------------------------
IKVM.OpenJDK.Management
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Management.DLL
----------------------------------------
System.ComponentModel.DataAnnotations
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ComponentModel.DataAnnotations/v4.0_4.0.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll
----------------------------------------
System.DirectoryServices.Protocols
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.DirectoryServices.Protocols/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.DirectoryServices.Protocols.dll
----------------------------------------
Microsoft.Build.Utilities.v4.0
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.Build.Utilities.v4.0/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.Build.Utilities.v4.0.dll
----------------------------------------
System.Runtime.Caching
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Caching/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Runtime.Caching.dll
----------------------------------------
Microsoft.Build.Framework
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.Build.Framework/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.Build.Framework.dll
----------------------------------------
Microsoft.Build.Tasks.v4.0
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/Microsoft.Build.Tasks.v4.0/v4.0_4.0.0.0__b03f5f7f11d50a3a/Microsoft.Build.Tasks.v4.0.dll
----------------------------------------
Windows.Storage
    Assembly Version: 255.255.255.255
    Win32 Version: 10.0.10011.16384
    CodeBase: file:///C:/WINDOWS/system32/WinMetadata/Windows.Storage.winmd
----------------------------------------
Windows.Foundation
    Assembly Version: 255.255.255.255
    Win32 Version: 10.0.10011.16384
    CodeBase: file:///C:/WINDOWS/system32/WinMetadata/Windows.Foundation.winmd
----------------------------------------
System.Runtime.InteropServices.WindowsRuntime
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.InteropServices.WindowsRuntime/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Runtime.InteropServices.WindowsRuntime.dll
----------------------------------------
System.Runtime
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Runtime.dll
----------------------------------------
System.Runtime.Remoting
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Remoting/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.Remoting.dll
----------------------------------------
System.Configuration.Install
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Configuration.Install/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Configuration.Install.dll
----------------------------------------
System.ServiceModel.Activities
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ServiceModel.Activities/v4.0_4.0.0.0__31bf3856ad364e35/System.ServiceModel.Activities.dll
----------------------------------------
System.Activities
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Activities/v4.0_4.0.0.0__31bf3856ad364e35/System.Activities.dll
----------------------------------------
System.Xaml.Hosting
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xaml.Hosting/v4.0_4.0.0.0__31bf3856ad364e35/System.Xaml.Hosting.dll
----------------------------------------
System.Management
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Management/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Management.dll
----------------------------------------
SimpleMapi
    Assembly Version: 1.0.0.0
    Win32 Version: 1.0.0.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/SimpleMapi.DLL
----------------------------------------
DotNetZip
    Assembly Version: 1.11.0.0
    Win32 Version: 1.11.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/DotNetZip.DLL
----------------------------------------
System.Resources.ResourceManager
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Resources.ResourceManager/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Resources.ResourceManager.dll
----------------------------------------
System.IO
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.IO/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.IO.dll
----------------------------------------
System.Xml.ReaderWriter
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Xml.ReaderWriter/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Xml.ReaderWriter.dll
----------------------------------------
System.Collections
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Collections/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Collections.dll
----------------------------------------
System.Reflection
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Reflection/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Reflection.dll
----------------------------------------
System.Diagnostics.Debug
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Diagnostics.Debug/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Diagnostics.Debug.dll
----------------------------------------
System.Text.Encoding
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Text.Encoding/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Text.Encoding.dll
----------------------------------------
System.Linq
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Linq/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Linq.dll
----------------------------------------
System.Reflection.Extensions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Reflection.Extensions/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Reflection.Extensions.dll
----------------------------------------
System.Runtime.Extensions
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.Extensions/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Runtime.Extensions.dll
----------------------------------------
UIAutomationProvider
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/UIAutomationProvider/v4.0_4.0.0.0__31bf3856ad364e35/UIAutomationProvider.dll
----------------------------------------
UIAutomationTypes
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4270.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/UIAutomationTypes/v4.0_4.0.0.0__31bf3856ad364e35/UIAutomationTypes.dll
----------------------------------------
ReachFramework
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4110.0 built by: NET48REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/ReachFramework/v4.0_4.0.0.0__31bf3856ad364e35/ReachFramework.dll
----------------------------------------
PresentationUI
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/PresentationUI/v4.0_4.0.0.0__31bf3856ad364e35/PresentationUI.dll
----------------------------------------
System.Printing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4110.0 built by: NET48REL1LAST_B
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/System.Printing/v4.0_4.0.0.0__31bf3856ad364e35/System.Printing.dll
----------------------------------------
System.Windows.Input.Manipulations
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Windows.Input.Manipulations/v4.0_4.0.0.0__b77a5c561934e089/System.Windows.Input.Manipulations.dll
----------------------------------------
System.ObjectModel
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ObjectModel/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.ObjectModel.dll
----------------------------------------
System.Runtime.WindowsRuntime.UI.Xaml
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Runtime.WindowsRuntime.UI.Xaml/v4.0_4.0.0.0__b77a5c561934e089/System.Runtime.WindowsRuntime.UI.Xaml.dll
----------------------------------------
System.Numerics.Vectors
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0 built by: NET48REL1
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.Numerics.Vectors/v4.0_4.0.0.0__b03f5f7f11d50a3a/System.Numerics.Vectors.dll
----------------------------------------
System.ComponentModel.Composition
    Assembly Version: 4.0.0.0
    Win32 Version: 4.8.4084.0
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_MSIL/System.ComponentModel.Composition/v4.0_4.0.0.0__b77a5c561934e089/System.ComponentModel.Composition.dll
----------------------------------------
Anonymously Hosted DynamicMethods Assembly
    Assembly Version: 0.0.0.0
    Win32 Version: 4.8.4250.0 built by: NET48REL1LAST_C
    CodeBase: file:///C:/WINDOWS/Microsoft.Net/assembly/GAC_64/mscorlib/v4.0_4.0.0.0__b77a5c561934e089/mscorlib.dll
----------------------------------------
Windows.Services
    Assembly Version: 255.255.255.255
    Win32 Version: 10.0.10011.16384
    CodeBase: file:///C:/WINDOWS/system32/WinMetadata/Windows.Services.winmd
----------------------------------------
Windows.System
    Assembly Version: 255.255.255.255
    Win32 Version: 10.0.10011.16384
    CodeBase: file:///C:/WINDOWS/system32/WinMetadata/Windows.System.winmd
----------------------------------------
IKVM.OpenJDK.Charsets
    Assembly Version: 8.1.6990.0
    Win32 Version: 8.1.6990.0
    CodeBase: file:///C:/Program%20Files/WindowsApps/iterate.37637C3DE32E5_7.7.1.0_x64__gr99yradmgg3r/IKVM.OpenJDK.Charsets.DLL
----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.

Change History (6)

comment:1 Changed on Dec 4, 2020 at 4:45:12 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Dec 4, 2020 at 4:46:08 PM by dkocher

  • Milestone set to 8.0
  • Summary changed from Opening preferences on CyberDuck an erroris triggered. Uninstalled, reinstalled, check up the registry... and the error stills the same. to System.ArgumentNullException in RegistryApplicationFinder

comment:3 Changed on Dec 4, 2020 at 4:47:26 PM by dkocher

  • Owner set to yla

comment:4 Changed on Dec 8, 2020 at 10:17:16 AM by jmalek

Rlease reinstall Notepad in the meantime in order to get Cyberduck working again.

comment:5 Changed on Dec 8, 2020 at 6:46:45 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r50237.

comment:6 Changed on Dec 21, 2020 at 12:25:22 PM by dkocher

  • Milestone changed from 8.0 to 7.8.0
Note: See TracTickets for help on using tickets.